## linux 5.10.234

=== scripts/kconfig/Makefile ===
# SPDX-License-Identifier: GPL-2.0
# ===========================================================================
# Kernel configuration targets
# These targets are used from top-level makefile

PHONY += xconfig gconfig menuconfig config localmodconfig localyesconfig \
	build_menuconfig build_nconfig build_gconfig build_xconfig

ifdef KBUILD_KCONFIG
Kconfig := $(KBUILD_KCONFIG)
else
Kconfig := Kconfig
endif

ifeq ($(quiet),silent_)
silent := -s
endif

# We need this, in case the user has it in its environment
unexport CONFIG_

xconfig: $(obj)/qconf
	$(Q)$< $(silent) $(Kconfig)

gconfig: $(obj)/gconf
	$(Q)$< $(silent) $(Kconfig)

menuconfig: $(obj)/mconf
	$(Q)$< $(silent) $(Kconfig)

config: $(obj)/conf
	$(Q)$< $(silent) --oldaskconfig $(Kconfig)

nconfig: $(obj)/nconf
	$(Q)$< $(silent) $(Kconfig)

build_menuconfig: $(obj)/mconf

build_nconfig: $(obj)/nconf

build_gconfig: $(obj)/gconf

build_xconfig: $(obj)/qconf

localyesconfig localmodconfig: $(obj)/conf
	$(Q)$(PERL) $(srctree)/$(src)/streamline_config.pl --$@ $(srctree) $(Kconfig) > .tmp.config
	$(Q)if [ -f .config ]; then 				\
		cmp -s .tmp.config .config ||			\
		(mv -f .config .config.old.1;			\
		 mv -f .tmp.config .config;			\
		 $< $(silent) --oldconfig $(Kconfig);		\
		 mv -f .config.old.1 .config.old)		\
	else							\
		mv -f .tmp.config .config;			\
		$< $(silent) --oldconfig $(Kconfig);		\
	fi
	$(Q)rm -f .tmp.config

# These targets map 1:1 to the commandline options of 'conf'
#
# Note:
#  syncconfig has become an internal implementation detail and is now
#  deprecated for external use
simple-targets := oldconfig allnoconfig allyesconfig allmodconfig \
	alldefconfig randconfig listnewconfig olddefconfig syncconfig \
	helpnewconfig yes2modconfig mod2yesconfig

PHONY += $(simple-targets)

$(simple-targets): $(obj)/conf
	$(Q)$< $(silent) --$@ $(Kconfig)

PHONY += savedefconfig defconfig

savedefconfig: $(obj)/conf
	$(Q)$< $(silent) --$@=defconfig $(Kconfig)

defconfig: $(obj)/conf
ifneq ($(wildcard $(srctree)/arch/$(SRCARCH)/configs/$(KBUILD_DEFCONFIG)),)
	@$(kecho) "*** Default configuration is based on '$(KBUILD_DEFCONFIG)'"
	$(Q)$< $(silent) --defconfig=arch/$(SRCARCH)/configs/$(KBUILD_DEFCONFIG) $(Kconfig)
else
	@$(kecho) "*** Default configuration is based on target '$(KBUILD_DEFCONFIG)'"
	$(Q)$(MAKE) -f $(srctree)/Makefile $(KBUILD_DEFCONFIG)
endif

%_defconfig: $(obj)/conf
	$(Q)$< $(silent) --defconfig=arch/$(SRCARCH)/configs/$@ $(Kconfig)

configfiles=$(wildcard $(srctree)/kernel/configs/$@ $(srctree)/arch/$(SRCARCH)/configs/$@)

%.config: $(obj)/conf
	$(if $(call configfiles),, $(error No configuration exists for this target on this architecture))
	$(Q)$(CONFIG_SHELL) $(srctree)/scripts/kconfig/merge_config.sh -m .config $(configfiles)
	$(Q)$(MAKE) -f $(srctree)/Makefile olddefconfig

PHONY += kvmconfig
kvmconfig: kvm_guest.config
	@echo >&2 "WARNING: 'make $@' will be removed after Linux 5.10"
	@echo >&2 "         Please use 'make $<' instead."

PHONY += xenconfig
xenconfig: xen.config
	@echo >&2 "WARNING: 'make $@' will be removed after Linux 5.10"
	@echo >&2 "         Please use 'make $<' instead."

PHONY += tinyconfig
tinyconfig:
	$(Q)$(MAKE) -f $(srctree)/Makefile allnoconfig tiny.config

# CHECK: -o cache_dir=<path> working?
PHONY += testconfig
testconfig: $(obj)/conf
	$(Q)$(PYTHON3) -B -m pytest $(srctree)/$(src)/tests \
	-o cache_dir=$(abspath $(obj)/tests/.cache) \
	$(if $(findstring 1,$(KBUILD_VERBOSE)),--capture=no)
clean-files += tests/.cache

# Help text used by make help
help:
	@echo  '  config	  - Update current config utilising a line-oriented program'
	@echo  '  nconfig         - Update current config utilising a ncurses menu based program'
	@echo  '  menuconfig	  - Update current config utilising a menu based program'
	@echo  '  xconfig	  - Update current config utilising a Qt based front-end'
	@echo  '  gconfig	  - Update current config utilising a GTK+ based front-end'
	@echo  '  oldconfig	  - Update current config utilising a provided .config as base'
	@echo  '  localmodconfig  - Update current config disabling modules not loaded'
	@echo  '                    except those preserved by LMC_KEEP environment variable'
	@echo  '  localyesconfig  - Update current config converting local mods to core'
	@echo  '                    except those preserved by LMC_KEEP environment variable'
	@echo  '  defconfig	  - New config with default from ARCH supplied defconfig'
	@echo  '  savedefconfig   - Save current config as ./defconfig (minimal config)'
	@echo  '  allnoconfig	  - New config where all options are answered with no'
	@echo  '  allyesconfig	  - New config where all options are accepted with yes'
	@echo  '  allmodconfig	  - New config selecting modules when possible'
	@echo  '  alldefconfig    - New config with all symbols set to default'
	@echo  '  randconfig	  - New config with random answer to all options'
	@echo  '  yes2modconfig	  - Change answers from yes to mod if possible'
	@echo  '  mod2yesconfig	  - Change answers from mod to yes if possible'
	@echo  '  listnewconfig   - List new options'
	@echo  '  helpnewconfig   - List new options and help text'
	@echo  '  olddefconfig	  - Same as oldconfig but sets new symbols to their'
	@echo  '                    default value without prompting'
	@echo  '  tinyconfig	  - Configure the tiniest possible kernel'
	@echo  '  testconfig	  - Run Kconfig unit tests (requires python3 and pytest)'

# ===========================================================================
# object files used by all kconfig flavours
common-objs	:= confdata.o expr.o lexer.lex.o parser.tab.o preprocess.o \
		   symbol.o util.o

$(obj)/lexer.lex.o: $(obj)/parser.tab.h
HOSTCFLAGS_lexer.lex.o	:= -I $(srctree)/$(src)
HOSTCFLAGS_parser.tab.o	:= -I $(srctree)/$(src)

# conf: Used for defconfig, oldconfig and related targets
hostprogs	+= conf
conf-objs	:= conf.o $(common-objs)

# nconf: Used for the nconfig target based on ncurses
hostprogs	+= nconf
nconf-objs	:= nconf.o nconf.gui.o $(common-objs)

HOSTLDLIBS_nconf	= $(shell . $(obj)/nconf-cfg && echo $$libs)
HOSTCFLAGS_nconf.o	= $(shell . $(obj)/nconf-cfg && echo $$cflags)
HOSTCFLAGS_nconf.gui.o	= $(shell . $(obj)/nconf-cfg && echo $$cflags)

$(obj)/nconf.o $(obj)/nconf.gui.o: $(obj)/nconf-cfg

# mconf: Used for the menuconfig target based on lxdialog
hostprogs	+= mconf
lxdialog	:= $(addprefix lxdialog/, \
		     checklist.o inputbox.o menubox.o textbox.o util.o yesno.o)
mconf-objs	:= mconf.o $(lxdialog) $(common-objs)

HOSTLDLIBS_mconf = $(shell . $(obj)/mconf-cfg && echo $$libs)
$(foreach f, mconf.o $(lxdialog), \
  $(eval HOSTCFLAGS_$f = $$(shell . $(obj)/mconf-cfg && echo $$$$cflags)))

$(addprefix $(obj)/, mconf.o $(lxdialog)): $(obj)/mconf-cfg

# qconf: Used for the xconfig target based on Qt
hostprogs	+= qconf
qconf-cxxobjs	:= qconf.o qconf-moc.o
qconf-objs	:= images.o $(common-objs)

HOSTLDLIBS_qconf	= $(shell . $(obj)/qconf-cfg && echo $$libs)
HOSTCXXFLAGS_qconf.o	= $(shell . $(obj)/qconf-cfg && echo $$cflags)
HOSTCXXFLAGS_qconf-moc.o = $(shell . $(obj)/qconf-cfg && echo $$cflags)

$(obj)/qconf.o: $(obj)/qconf-cfg

quiet_cmd_moc = MOC     $@
      cmd_moc = $(shell . $(obj)/qconf-cfg && echo $$moc) $< -o $@

$(obj)/qconf-moc.cc: $(src)/qconf.h $(obj)/qconf-cfg FORCE
	$(call if_changed,moc)

targets += qconf-moc.cc

# gconf: Used for the gconfig target based on GTK+
hostprogs	+= gconf
gconf-objs	:= gconf.o images.o $(common-objs)

HOSTLDLIBS_gconf    = $(shell . $(obj)/gconf-cfg && echo $$libs)
HOSTCFLAGS_gconf.o  = $(shell . $(obj)/gconf-cfg && echo $$cflags)

$(obj)/gconf.o: $(obj)/gconf-cfg

# check if necessary packages are available, and configure build flags
filechk_conf_cfg = $(CONFIG_SHELL) $<

$(obj)/%conf-cfg: $(src)/%conf-cfg.sh FORCE
	$(call filechk,conf_cfg)

clean-files += *conf-cfg

=== debian/changelog ===
linux (5.10.234-1) bullseye-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.10.227
    - [arm*] usb: dwc3: Decouple USB 2.0 L1 & L2 events
    - [arm*] usb: dwc3: core: Enable GUCTL1 bit 10 for fixing termination error
      after resume bug
    - [arm*] usb: dwc3: core: update LC timer as per USB Spec V3.2
    - usbnet: ipheth: fix carrier detection in modes 1 and 4
    - net: phy: vitesse: repair vsc73xx autonegotiation
    - btrfs: update target inode's ctime on unlink
    - Input: ads7846 - ratelimit the spi_sync error message
    - [x86] Input: synaptics - enable SMBus for HP Elitebook 840 G2
    - [arm64] drm/msm/adreno: Fix error return if missing firmware-name
    - [x86] Input: i8042 - add Fujitsu Lifebook E756 to i8042 quirk table
    - NFS: Avoid unnecessary rescanning of the per-server delegation list
    - [arm64] dts: rockchip: override BIOS_DISABLE signal via GPIO hog on
      RK3399 Puma
    - hwmon: (pmbus) Introduce and use write_byte_data callback
    - hwmon: (pmbus) Conditionally clear individual status bits for pmbus rev
      >= 1.2
    - ice: fix accounting for filters shared by multiple VSIs
    - net/mlx5: Update the list of the PCI supported devices
    - net/mlx5e: Add missing link modes to ptys2ethtool_map
    - fou: fix initialization of grc (CVE-2024-46865)
    - [armhf] net: ftgmac100: Enable TX interrupt to avoid TX timeout
    - [arm64] net: dpaa: Pad packets to ETH_ZLEN (CVE-2024-46854)
    - [arm64] spi: nxp-fspi: fix the KASAN report out-of-bounds bug
      (CVE-2024-46853)
    - soundwire: stream: Revert "soundwire: stream: fix programming slave ports
      for non-continous port maps" (regression in 5.10.225)
    - [arm*] ASoC: meson: axg-card: fix 'use-after-free' (CVE-2024-46849)
    - dma-buf: heaps: Fix off-by-one in CMA heap fault handler
    - ALSA: hda/realtek - Fixed ALC256 headphone no sound
    - ALSA: hda/realtek - FIxed ALC285 headphone no sound
    - [armhf] net: ftgmac100: Ensure tx descriptor updates are visible
    - wifi: iwlwifi: lower message level for FW buffer destination
    - wifi: iwlwifi: mvm: don't wait for tx queues if firmware is dead
      (CVE-2024-47672)
    - [x86] hyperv: Set X86_FEATURE_TSC_KNOWN_FREQ when Hyper-V provides
      frequency
    - ocfs2: add bounds checking to ocfs2_xattr_find_entry() (CVE-2024-47670)
    - ocfs2: strict bound check before memcmp in ocfs2_xattr_find_entry()
      (CVE-2024-41016)
    - netfilter: nft_set_pipapo: walk over current view on netlink dump
      (CVE-2024-27017)
    - netfilter: nf_tables: missing iterator type in lookup walk
    - gpio: prevent potential speculation leaks in gpio_device_get_desc()
      (CVE-2024-44931)
    - mptcp: pm: Fix uaf in __timer_delete_sync (CVE-2024-46858)
    - inet: inet_defrag: prevent sk release while still in use (CVE-2024-26921)
    - [x86] ibt,ftrace: Search for __fentry__ location
    - ftrace: Fix possible use-after-free issue in ftrace_location()
      (CVE-2024-38588)
    - gpiolib: cdev: Ignore reconfiguration without direction
    - USB: serial: pl2303: add device id for Macrosilicon MS3020
    - USB: usbtmc: prevent kernel-usb-infoleak (CVE-2024-47671)
    - wifi: rtw88: always wait for both firmware loading attempts
      (CVE-2024-47718)
    - fs: explicitly unregister per-superblock BDIs
    - mount: warn only once about timestamp range expiration
    - fs/namespace: fnic: Switch to use %ptTd
    - mount: handle OOM on mnt_warn_timestamp_expiry
    - padata: Honor the caller's alignment in case of chunk_size 0
    - can: j1939: use correct function name in comment
    - netfilter: nf_tables: elements with timeout below CONFIG_HZ never expire
    - netfilter: nf_tables: reject element expiration with no timeout
    - netfilter: nf_tables: reject expiration higher than timeout
    - [armhf] cpufreq: ti-cpufreq: Introduce quirks to handle syscon fails
      appropriately
    - wifi: cfg80211: fix UBSAN noise in cfg80211_wext_siwscan()
    - wifi: cfg80211: fix two more possible UBSAN-detected off-by-one errors
    - wifi: mac80211: use two-phase skb reclamation in ieee80211_do_stop()
      (CVE-2024-47713)
    - wifi: wilc1000: fix potential RCU dereference issue in
      wilc_parse_join_bss_param (CVE-2024-47712)
    - sock_map: Add a cond_resched() in sock_hash_free() (CVE-2024-47710)
    - can: bcm: Clear bo->bcm_proc_read after remove_proc_entry().
      (CVE-2024-47709)
    - Bluetooth: btusb: Fix not handling ZPL/short-transfer
    - net: geneve: support IPv4/IPv6 as inner protocol
    - geneve: Fix incorrect inner network header offset when innerprotoinherit
      is set
    - [arm64] net: enetc: Use IRQF_NO_AUTOEN flag in request_irq()
    - r8169: disable ALDPS per default for RTL8125
    - net: ipv6: rpl_iptunnel: Fix memory leak in rpl_input
    - net: tipc: avoid possible garbage value
    - block, bfq: fix possible UAF for bfqq->bic with merge chain
      (CVE-2024-47706)
    - block, bfq: choose the last bfqq from merge chain in
      bfq_setup_cooperator()
    - block, bfq: don't break merge chain in bfq_split_bfqq()
    - block: print symbolic error name instead of error code
    - block: fix potential invalid pointer dereference in blk_add_partition
      (CVE-2024-47705)
    - hwmon: (max16065) Fix overflows seen when writing limits
    - device property: Add const qualifier to device_get_match_data() parameter
    - i2c: Add i2c_get_match_data()
    - hwmon: (max16065) Remove use of i2c_match_id()
    - hwmon: (max16065) Fix alarm attributes
    - [x86] mtd: slram: insert break after errors in parsing the map
    - hwmon: (ntc_thermistor) fix module autoloading
    - [arm*] power: supply: axp20x_battery: allow disabling battery charging
    - [arm*] power: supply: axp20x_battery: Remove design from min and max
      voltage
    - [x86] power: supply: max17042_battery: Fix SOC threshold calc w/ no
      current sense


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper-compat (= 12), dh-exec, python3:any, quilt, cpio <!stage1>, xz-utils <!stage1>, dh-python <!stage1>, bison <!stage1>, flex (>= 2.6.1-1.1~) <!stage1>
Build-Depends-Arch: kernel-wedge (>= 2.102~) <!pkg.linux.nokernel !stage1>, kmod <!pkg.linux.nokernel !stage1>, bc <!pkg.linux.nokernel !stage1>, libssl-dev:native <!pkg.linux.nokernel !stage1>, libssl-dev <!pkg.linux.notools !stage1>, openssl (>= 1.1.0-1~) <!pkg.linux.nokernel !stage1>, libelf-dev:native [amd64] <!pkg.linux.nokernel !stage1>, libelf-dev <!pkg.linux.notools !stage1>, rsync, lz4 [amd64 arm64] <!pkg.linux.nokernel !stage1>, dwarves (>= 1.16~) [amd64 arm64] <!pkg.linux.nokernel !stage1>, gcc-10 [alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!cross !pkg.linux.nokernel !stage1>, gcc-10-alpha-linux-gnu [alpha] <cross !pkg.linux.nokernel !stage1>, gcc-10-x86-64-linux-gnu [amd64] <cross !pkg.linux.nokernel !stage1>, gcc-10-aarch64-linux-gnu [arm64] <cross !pkg.linux.nokernel !stage1>, gcc-arm-linux-gnueabihf [arm64] <!pkg.linux.nokernel !stage1>, gcc-10-arm-linux-gnueabi [armel] <cross !pkg.linux.nokernel !stage1>, gcc-10-arm-linux-gnueabihf [armhf] <cross !pkg.linux.nokernel !stage1>, gcc-10-hppa-linux-gnu [hppa] <cross !pkg.linux.nokernel !stage1>, binutils-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel !stage1>, gcc-10-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel !stage1>, gcc-10-i686-linux-gnu [i386] <cross !pkg.linux.nokernel !stage1>, gcc-10-ia64-linux-gnu [ia64] <cross !pkg.linux.nokernel !stage1>, gcc-10-m68k-linux-gnu [m68k] <cross !pkg.linux.nokernel !stage1>, gcc-10-mips-linux-gnu [mips] <cross !pkg.linux.nokernel !stage1>, gcc-10-mips64-linux-gnuabi64 [mips64] <cross !pkg.linux.nokernel !stage1>, gcc-10-mips64el-linux-gnuabi64 [mips64el] <cross !pkg.linux.nokernel !stage1>, gcc-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross !pkg.linux.nokernel !stage1>, gcc-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross !pkg.linux.nokernel !stage1>, gcc-10-mipsel-linux-gnu [mipsel] <cross !pkg.linux.nokernel !stage1>, gcc-10-mipsisa32r6-linux-gnu [mipsr6] <cross !pkg.linux.nokernel !stage1>, gcc-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross !pkg.linux.nokernel !stage1>, gcc-10-powerpc-linux-gnu [powerpc] <cross !pkg.linux.nokernel !stage1>, gcc-10-powerpc64-linux-gnu [ppc64] <cross !pkg.linux.nokernel !stage1>, gcc-10-powerpc64le-linux-gnu [ppc64el] <cross !pkg.linux.nokernel !stage1>, gcc-10-riscv64-linux-gnu [riscv64] <cross !pkg.linux.nokernel !stage1>, gcc-10-s390x-linux-gnu [s390x] <cross !pkg.linux.nokernel !stage1>, gcc-10-sh4-linux-gnu [sh4] <cross !pkg.linux.nokernel !stage1>, gcc-10-sparc64-linux-gnu [sparc64] <cross !pkg.linux.nokernel !stage1>, python3-docutils [linux-any] <!nodoc !pkg.linux.notools !stage1>, libelf-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, zlib1g-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libcap-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libpci-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, autoconf [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, automake [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libtool [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libglib2.0-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libudev-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, libwrap0-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools !stage1>, asciidoctor [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nodoc !nopython !pkg.linux.notools !stage1>, gcc-multilib [amd64 mips64 mips64el mips64r6 mips64r6el ppc64 s390x sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libaudit-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libbabeltrace-dev (>= 1.5.0) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libbabeltrace-dev (>= 1.5.3-2~) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1> | libbabeltrace-ctf-dev (>= 1.5.0) [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libdw-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libiberty-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libnewt-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libnuma-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libperl-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libunwind-dev [amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el sh4] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, libopencsd-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>, python3-dev [alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools !stage1>
Build-Depends-Indep: graphviz <!nodoc !pkg.linux.quick !stage1>, python3-sphinx <!nodoc !pkg.linux.quick !stage1>, python3-sphinx-rtd-theme <!nodoc !pkg.linux.quick !stage1>, texlive-latex-base <!nodoc !pkg.linux.quick !stage1>, texlive-latex-extra <!nodoc !pkg.linux.quick !stage1>, dvipng <!nodoc !pkg.linux.quick !stage1>, patchutils <!pkg.linux.nosource !pkg.linux.quick !stage1>
Homepage: https://www.kernel.org/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-support-5.10.0-34
Architecture: all
Section: devel
Depends: ${python3:Depends}, ${misc:Depends}
Description: Support files for Linux 5.10
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-doc-5.10
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 5.10
 This package provides the various README files and HTML documentation for
 the Linux kernel version 5.10.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  An index to the documentation is installed as
 /usr/share/doc/linux-doc-5.10/html/index.html.
Build-Profiles: <!nodoc !pkg.linux.quick !stage1>
Multi-Arch: foreign

Package: linux-doc
Architecture: all
Section: doc
Depends: linux-doc-5.10 (= ${binary:Version}), ${misc:Depends}
Description: Linux kernel specific documentation (meta-package)
 This package depends on the package containing the documentation for the
 latest Linux kernel.
Build-Profiles: <!nodoc !pkg.linux.nometa !pkg.linux.quick !stage1>

Package: bpftool
Architecture: linux-any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Inspection and simple manipulation of BPF programs and maps
 The bpftool command allows for inspection and simple modification of
 Berkeley Packet Filter (BPF) objects on the system.
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools !stage1>

Package: linux-cpupower
Architecture: linux-any
Section: admin
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU power management tools for Linux
 The cpupower command allows inspection and control of cpufreq and cpuidle
 tunables for hardware that supports these features.  It replaces
 "cpufreq-info" and "cpufreq-set" in cpufrequtils.
 .
 ${cpupower:Arch-Description}
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools !stage1>

Package: libcpupower1
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU frequency and voltage scaling tools for Linux (libraries)
 libcpupower is a library for inspecting and controlling cpufreq and
 cpuidle tunables.
 .
 This package contains the shared library.
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools !stage1>

Package: libcpupower-dev
Architecture: linux-any
Section: libdevel
Provides: libcpufreq-dev
Depends: ${misc:Depends}, libcpupower1 (= ${binary:Version})
Replaces: libcpufreq-dev
Conflicts: libcpufreq-dev
Description: CPU frequency and voltage scaling tools for Linux (development files)
 libcpupower is a library for inspecting and controlling cpufreq and
 cpuidle tunables.
 .
 This package is needed to compile programs against libcpupower.
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools !stage1>

Package: usbip
Architecture: linux-any
Section: admin
Depends: usb.ids, ${shlibs:Depends}, ${misc:Depends}
Description: USB device sharing system over IP network
 USB/IP is a system for sharing USB devices over the network.
 .
 To share USB devices between computers with their full functionality,
 USB/IP encapsulates "USB requests" into IP packets and transmits them
 between computers.
 .
 Original USB device drivers and applications can be used for remote USB
 devices without any modification of them.  A computer can use remote USB
 devices as if they were directly attached.
 .
 Currently USB/IP provides no access control or encryption.  It should only
 be used in trusted environments.
 .
 This package provides the server component 'usbipd' and the client tool
 'usbip'.
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools !stage1>

Package: hyperv-daemons
Architecture: amd64 i386 x32
Section: admin

=== debian/tests/control ===
Tests: python
Restrictions: superficial
Depends: python3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-5.10.0-34-alpha-generic [alpha], linux-image-5.10.0-34-alpha-smp [alpha], linux-image-5.10.0-34-amd64-unsigned [amd64], linux-image-5.10.0-34-cloud-amd64-unsigned [amd64], linux-image-5.10.0-34-rt-amd64-unsigned [amd64], linux-image-5.10.0-34-arm64-unsigned [arm64], linux-image-5.10.0-34-cloud-arm64-unsigned [arm64], linux-image-5.10.0-34-rt-arm64-unsigned [arm64], linux-image-5.10.0-34-marvell [armel], linux-image-5.10.0-34-rpi [armel], linux-image-5.10.0-34-armmp [armhf], linux-image-5.10.0-34-armmp-lpae [armhf], linux-image-5.10.0-34-rt-armmp [armhf], linux-image-5.10.0-34-parisc [hppa], linux-image-5.10.0-34-parisc64 [hppa], linux-image-5.10.0-34-686-unsigned [i386], linux-image-5.10.0-34-686-pae-unsigned [i386], linux-image-5.10.0-34-rt-686-pae-unsigned [i386], linux-image-5.10.0-34-itanium [ia64], linux-image-5.10.0-34-mckinley [ia64], linux-image-5.10.0-34-m68k [m68k], linux-image-5.10.0-34-4kc-malta [mips mipsel], linux-image-5.10.0-34-5kc-malta [mips mips64 mips64el mipsel], linux-image-5.10.0-34-octeon [mips mips64 mips64el mipsel], linux-image-5.10.0-34-loongson-3 [mips64el mipsel], linux-image-5.10.0-34-mips64r6 [mips64r6 mipsr6], linux-image-5.10.0-34-mips64r6el [mips64r6el mipsr6el], linux-image-5.10.0-34-mips32r6 [mipsr6], linux-image-5.10.0-34-mips32r6el [mipsr6el], linux-image-5.10.0-34-powerpc [powerpc], linux-image-5.10.0-34-powerpc-smp [powerpc], linux-image-5.10.0-34-powerpc64 [powerpc ppc64], linux-image-5.10.0-34-powerpc64le [ppc64el], linux-image-5.10.0-34-riscv64 [riscv64], linux-image-5.10.0-34-s390x [s390x], linux-image-5.10.0-34-sh7751r [sh4], linux-image-5.10.0-34-sh7785lcr [sh4], linux-image-5.10.0-34-sparc64 [sparc64], linux-image-5.10.0-34-sparc64-smp [sparc64]
Classes: smp

Tests: kbuild
Architecture: alpha amd64 arm64 armhf hppa i386 ia64 m68k mips64r6 mips64r6el mipsr6 mipsr6el ppc64 ppc64el riscv64 s390x sparc64
Restrictions: superficial
Depends: python3, linux-headers-5.10.0-34-alpha-smp [alpha], linux-headers-5.10.0-34-cloud-amd64 [amd64], linux-headers-5.10.0-34-cloud-arm64 [arm64], linux-headers-5.10.0-34-armmp [armhf], linux-headers-5.10.0-34-parisc [hppa], linux-headers-5.10.0-34-686-pae [i386], linux-headers-5.10.0-34-itanium [ia64], linux-headers-5.10.0-34-m68k [m68k], linux-headers-5.10.0-34-mips64r6 [mips64r6], linux-headers-5.10.0-34-mips64r6el [mips64r6el], linux-headers-5.10.0-34-mips32r6 [mipsr6], linux-headers-5.10.0-34-mips32r6el [mipsr6el], linux-headers-5.10.0-34-powerpc64 [ppc64], linux-headers-5.10.0-34-powerpc64le [ppc64el], linux-headers-5.10.0-34-riscv64 [riscv64], linux-headers-5.10.0-34-s390x [s390x], linux-headers-5.10.0-34-sparc64-smp [sparc64]

## linux 5.10.237

=== drivers/iommu/amd/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
obj-$(CONFIG_AMD_IOMMU) += iommu.o init.o quirks.o
obj-$(CONFIG_AMD_IOMMU_DEBUGFS) += debugfs.o
obj-$(CONFIG_AMD_IOMMU_V2) += iommu_v2.o

=== arch/x86/boot/compressed/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# linux/arch/x86/boot/compressed/Makefile
#
# create a compressed vmlinux image from the original vmlinux
#
# vmlinuz is:
#	decompression code (*.o)
#	asm globals (piggy.S), including:
#		vmlinux.bin.(gz|bz2|lzma|...)
#
# vmlinux.bin is:
#	vmlinux stripped of debugging and comments
# vmlinux.bin.all is:
#	vmlinux.bin + vmlinux.relocs
# vmlinux.bin.(gz|bz2|lzma|...) is:
#	(see scripts/Makefile.lib size_append)
#	compressed vmlinux.bin.all + u32 size of vmlinux.bin.all

# Sanitizer runtimes are unavailable and cannot be linked for early boot code.
KASAN_SANITIZE			:= n
KCSAN_SANITIZE			:= n
OBJECT_FILES_NON_STANDARD	:= y

# Prevents link failures: __sanitizer_cov_trace_pc() is not linked in.
KCOV_INSTRUMENT		:= n

targets := vmlinux vmlinux.bin vmlinux.bin.gz vmlinux.bin.bz2 vmlinux.bin.lzma \
	vmlinux.bin.xz vmlinux.bin.lzo vmlinux.bin.lz4 vmlinux.bin.zst

# CLANG_FLAGS must come before any cc-disable-warning or cc-option calls in
# case of cross compiling, as it has the '--target=' flag, which is needed to
# avoid errors with '-march=i386', and future flags may depend on the target to
# be valid.
KBUILD_CFLAGS := -m$(BITS) -O2 $(CLANG_FLAGS)
KBUILD_CFLAGS += -std=gnu11
KBUILD_CFLAGS += -fno-strict-aliasing -fPIE
KBUILD_CFLAGS += -DDISABLE_BRANCH_PROFILING
cflags-$(CONFIG_X86_32) := -march=i386
cflags-$(CONFIG_X86_64) := -mcmodel=small -mno-red-zone
KBUILD_CFLAGS += $(cflags-y)
KBUILD_CFLAGS += -mno-mmx -mno-sse
KBUILD_CFLAGS += -ffreestanding
KBUILD_CFLAGS += -fno-stack-protector
KBUILD_CFLAGS += $(call cc-disable-warning, address-of-packed-member)
KBUILD_CFLAGS += $(call cc-disable-warning, gnu)
KBUILD_CFLAGS += -Wno-pointer-sign
KBUILD_CFLAGS += $(call cc-option,-fmacro-prefix-map=$(srctree)/=)
KBUILD_CFLAGS += -fno-asynchronous-unwind-tables
KBUILD_CFLAGS += -D__DISABLE_EXPORTS
# Disable relocation relaxation in case the link is not PIE.
KBUILD_CFLAGS += $(call as-option,-Wa$(comma)-mrelax-relocations=no)
KBUILD_CFLAGS += -include $(srctree)/include/linux/hidden.h

# sev-es.c indirectly inludes inat-table.h which is generated during
# compilation and stored in $(objtree). Add the directory to the includes so
# that the compiler finds it even with out-of-tree builds (make O=/some/path).
CFLAGS_sev-es.o += -I$(objtree)/arch/x86/lib/

KBUILD_AFLAGS  := $(KBUILD_CFLAGS) -D__ASSEMBLY__
GCOV_PROFILE := n
UBSAN_SANITIZE :=n

KBUILD_LDFLAGS := -m elf_$(UTS_MACHINE)
KBUILD_LDFLAGS += $(call ld-option,--no-ld-generated-unwind-info)
# Compressed kernel should be built as PIE since it may be loaded at any
# address by the bootloader.
LDFLAGS_vmlinux := -pie $(call ld-option, --no-dynamic-linker)
ifdef CONFIG_LD_ORPHAN_WARN
LDFLAGS_vmlinux += --orphan-handling=warn
endif
LDFLAGS_vmlinux += -z noexecstack
LDFLAGS_vmlinux += $(call ld-option,--no-warn-rwx-segments)
LDFLAGS_vmlinux += -T

hostprogs	:= mkpiggy
HOST_EXTRACFLAGS += -I$(srctree)/tools/include

sed-voffset := -e 's/^\([0-9a-fA-F]*\) [ABCDGRSTVW] \(_text\|__bss_start\|_end\)$$/\#define VO_\2 _AC(0x\1,UL)/p'

quiet_cmd_voffset = VOFFSET $@
      cmd_voffset = $(NM) $< | sed -n $(sed-voffset) > $@

targets += ../voffset.h

$(obj)/../voffset.h: vmlinux FORCE
	$(call if_changed,voffset)

$(obj)/misc.o: $(obj)/../voffset.h

vmlinux-objs-y := $(obj)/vmlinux.lds $(obj)/kernel_info.o $(obj)/head_$(BITS).o \
	$(obj)/misc.o $(obj)/string.o $(obj)/cmdline.o $(obj)/error.o \
	$(obj)/piggy.o $(obj)/cpuflags.o

vmlinux-objs-$(CONFIG_EARLY_PRINTK) += $(obj)/early_serial_console.o
vmlinux-objs-$(CONFIG_RANDOMIZE_BASE) += $(obj)/kaslr.o
ifdef CONFIG_X86_64
	vmlinux-objs-y += $(obj)/ident_map_64.o
	vmlinux-objs-y += $(obj)/idt_64.o $(obj)/idt_handlers_64.o
	vmlinux-objs-y += $(obj)/mem_encrypt.o
	vmlinux-objs-y += $(obj)/pgtable_64.o
	vmlinux-objs-$(CONFIG_AMD_MEM_ENCRYPT) += $(obj)/sev-es.o
endif

vmlinux-objs-$(CONFIG_ACPI) += $(obj)/acpi.o

vmlinux-objs-$(CONFIG_EFI_MIXED) += $(obj)/efi_thunk_$(BITS).o
efi-obj-$(CONFIG_EFI_STUB) = $(objtree)/drivers/firmware/efi/libstub/lib.a

$(obj)/vmlinux: $(vmlinux-objs-y) $(efi-obj-y) FORCE
	$(call if_changed,ld)

OBJCOPYFLAGS_vmlinux.bin :=  -R .comment -S
$(obj)/vmlinux.bin: vmlinux FORCE
	$(call if_changed,objcopy)

targets += $(patsubst $(obj)/%,%,$(vmlinux-objs-y)) vmlinux.bin.all vmlinux.relocs

CMD_RELOCS = arch/x86/tools/relocs
quiet_cmd_relocs = RELOCS  $@
      cmd_relocs = $(CMD_RELOCS) $< > $@;$(CMD_RELOCS) --abs-relocs $<
$(obj)/vmlinux.relocs: vmlinux FORCE
	$(call if_changed,relocs)

vmlinux.bin.all-y := $(obj)/vmlinux.bin
vmlinux.bin.all-$(CONFIG_X86_NEED_RELOCS) += $(obj)/vmlinux.relocs

$(obj)/vmlinux.bin.gz: $(vmlinux.bin.all-y) FORCE
	$(call if_changed,gzip)
$(obj)/vmlinux.bin.bz2: $(vmlinux.bin.all-y) FORCE
	$(call if_changed,bzip2)
$(obj)/vmlinux.bin.lzma: $(vmlinux.bin.all-y) FORCE
	$(call if_changed,lzma)
$(obj)/vmlinux.bin.xz: $(vmlinux.bin.all-y) FORCE
	$(call if_changed,xzkern)
$(obj)/vmlinux.bin.lzo: $(vmlinux.bin.all-y) FORCE
	$(call if_changed,lzo)
$(obj)/vmlinux.bin.lz4: $(vmlinux.bin.all-y) FORCE
	$(call if_changed,lz4)
$(obj)/vmlinux.bin.zst: $(vmlinux.bin.all-y) FORCE
	$(call if_changed,zstd22)

suffix-$(CONFIG_KERNEL_GZIP)	:= gz
suffix-$(CONFIG_KERNEL_BZIP2)	:= bz2
suffix-$(CONFIG_KERNEL_LZMA)	:= lzma
suffix-$(CONFIG_KERNEL_XZ)	:= xz
suffix-$(CONFIG_KERNEL_LZO) 	:= lzo
suffix-$(CONFIG_KERNEL_LZ4) 	:= lz4
suffix-$(CONFIG_KERNEL_ZSTD)	:= zst

quiet_cmd_mkpiggy = MKPIGGY $@
      cmd_mkpiggy = $(obj)/mkpiggy $< > $@

targets += piggy.S
$(obj)/piggy.S: $(obj)/vmlinux.bin.$(suffix-y) $(obj)/mkpiggy FORCE
	$(call if_changed,mkpiggy)

=== debian/changelog ===
linux (5.10.237-1) bullseye-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.10.235
    - afs: Fix EEXIST error returned from afs_rmdir() to be ENOTEMPTY
    - afs: Fix directory format encoding struct
    - nbd: don't allow reconnect after disconnect (CVE-2025-21731)
    - nvme: Add error check for xa_store in nvme_get_effects_log
    - afs: Fix the fallback handling for the YFS.RemoveFile2 RPC call
    - [armhf] drm/etnaviv: Fix page property being used for non writecombine
      buffers
    - drm/amdgpu: Fix potential NULL pointer dereference in
      atomctrl_get_smc_sclk_range_table (CVE-2024-58052)
    - [arm*] genirq: Make handle_enforce_irqctx() unconditionally available
    - ipmi: ipmb: Add check devm_kasprintf() returned value (CVE-2024-58051)
    - wifi: rtlwifi: do not complete firmware loading needlessly
    - wifi: rtlwifi: rtl8192se: rise completion of firmware loading as last
      step
    - rtlwifi: remove redundant assignment to variable err
    - wifi: rtlwifi: wait for firmware loading before releasing memory
    - wifi: rtlwifi: fix init_sw_vars leak when probe fails
    - wifi: rtlwifi: usb: fix workqueue leak when probe fails
    - rtlwifi: replace usage of found with dedicated list iterator variable
    - wifi: rtlwifi: remove unused timer and related code
    - wifi: rtlwifi: remove unused dualmac control leftovers
    - wifi: rtlwifi: remove unused check_buddy_priv (CVE-2024-58072)
    - wifi: rtlwifi: destroy workqueue at rtl_deinit_core
    - wifi: rtlwifi: fix memory leaks and invalid access at probe error path
      (CVE-2024-58063)
    - wifi: rtlwifi: pci: wait for firmware loading before releasing memory
    - ACPI: fan: cleanup resources in the error path of .probe()
    - [x86] cpupower: fix TSC MHz calculation (regression in 5.10.181)
    - cpufreq: schedutil: Simplify sugov_update_next_freq()
    - cpufreq: schedutil: Fix superfluous updates caused by need_freq_update
    - [arm64] clk: imx8mp: Fix clkout1/2 support
    - team: prevent adding a device which is already a team device lower
      (CVE-2024-58071)
    - regulator: of: Implement the unwind path of of_regulator_match()
    - [arm*] wifi: wlcore: fix unbalanced pm_runtime calls
    - net/smc: fix data error when recvmsg with MSG_PEEK flag
    - wifi: mt76: mt76u_vendor_request: Do not print error messages when
      -EPROTO
    - [x86] cpufreq: ACPI: Fix max-frequency computation
    - wifi: cfg80211: Handle specific BSSID in 6GHz scanning
    - wifi: cfg80211: adjust allocation of colocated AP data
    - net: let net.core.dev_weight always be non-zero (CVE-2025-21806)
    - net/mlxfw: Drop hard coded max FW flash image size
    - net: sched: Disallow replacing of child qdisc from one parent to another
      (CVE-2025-21700)
    - net: ethernet: ti: am65-cpsw: fix freeing IRQ in
      am65_cpsw_nuss_remove_tx_chns() (CVE-2025-21799)
    - net/rose: prevent integer overflows in rose_setsockopt() (CVE-2025-21711)
    - [armhf] ASoC: sun4i-spdif: Add clock multiplier settings
    - perf header: Fix one memory leakage in process_bpf_btf()
    - perf header: Fix one memory leakage in process_bpf_prog_info()
    - perf env: Conditionally compile BPF support code on having
      HAVE_LIBBPF_SUPPORT
    - perf bpf: Fix two memory leakages when calling
      perf_env__insert_bpf_prog_info()
    - padata: fix sysfs store callback check
    - perf top: Don't complain about lack of vmlinux when not resolving some
      kernel samples
    - perf report: Fix misleading help message about --demangle
    - bpf: Send signals asynchronously if !preemptible (CVE-2025-21728)
    - padata: fix UAF in padata_reorder (CVE-2025-21727)
    - padata: add pd get/put refcnt helper
    - padata: avoid UAF for reorder_work (CVE-2025-21726)
    - RDMA/mlx4: Avoid false error about access to uninitialized gids array
    - rdma/cxgb4: Prevent potential integer overflow on 32bit (CVE-2024-57973)
    - [arm64] dts: qcom: msm8916: correct sleep clock frequency
    - [arm64] dts: qcom: msm8994: correct sleep clock frequency
    - [arm64] dts: qcom: sm8250: correct sleep clock frequency
    - media: rc: iguanair: handle timeouts
    - media: lmedm04: Use GFP_KERNEL for URB allocation/submission.
    - media: lmedm04: Handle errors for lme2510_int_read
    - media: marvell: Add check for clk_enable()
    - media: uvcvideo: Propagate buf->error to userspace
    - [armhf] staging: media: imx: fix OF node leak in
      imx_media_add_of_subdevs()
    - [arm*] PCI: rcar-ep: Fix incorrect variable used when calling
      devm_request_mem_region() (CVE-2025-21804)
    - scsi: mpt3sas: Set ioc->manu_pg11.EEDPTagMode directly to 1
    - ocfs2: mark dquot as inactive if failed to start trans while releasing
      dquot
    - module: Extend the preempt disabled section in
      dereference_symbol_descriptor().
    - NFSv4.2: fix COPY_NOTIFY xdr buf size calculation
    - xfrm: replay: Fix the update of replay_esn->oseq_hi for GSO
    - [armhf] dmaengine: ti: edma: fix OF node reference leaks in edma_driver
    - [arm64] rtc: pcf85063: fix potential OOB write in PCF85063 NVMEM read
      (CVE-2024-58069)
    - ubifs: skip dumping tnc tree when zroot is null (CVE-2024-58058)
    - [arm64] net: hns3: fix oops when unload drivers paralleling
      (CVE-2025-21802) (regression in 5.10.76)
    - [arm*] net: fec: implement TSO descriptor cleanup
    - ipmr: do not call mr_mfc_uses_dev() for unres entries (CVE-2025-21719)
    - PM: hibernate: Add error handling for syscore_suspend()
    - net: rose: fix timer races against user threads (CVE-2025-21718)
    - [armhf] net: davicom: fix UAF in dm9000_drv_remove (CVE-2025-21715)
    - perf trace: Fix runtime error of index out of bounds
    - vsock: Allow retrying on connect() failure
    - net: hsr: fix fill_frame_info() regression vs VLAN packets (regression in
      5.10.231)
    - NFSD: Reset cb_seq_status after NFS4ERR_DELAY


=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Vcs-Browser: https://salsa.debian.org/kernel-team/linux
 Vcs-Git: https://salsa.debian.org/kernel-team/linux.git
 
-Package: linux-support-5.10.0-34
+Package: linux-support-5.10.0-35
 Architecture: all
 Section: devel
 Depends: ${python3:Depends}, ${misc:Depends}

=== debian/tests/control ===
Tests: python
Restrictions: superficial
Depends: python3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-5.10.0-35-alpha-generic [alpha], linux-image-5.10.0-35-alpha-smp [alpha], linux-image-5.10.0-35-amd64-unsigned [amd64], linux-image-5.10.0-35-cloud-amd64-unsigned [amd64], linux-image-5.10.0-35-rt-amd64-unsigned [amd64], linux-image-5.10.0-35-arm64-unsigned [arm64], linux-image-5.10.0-35-cloud-arm64-unsigned [arm64], linux-image-5.10.0-35-rt-arm64-unsigned [arm64], linux-image-5.10.0-35-marvell [armel], linux-image-5.10.0-35-rpi [armel], linux-image-5.10.0-35-armmp [armhf], linux-image-5.10.0-35-armmp-lpae [armhf], linux-image-5.10.0-35-rt-armmp [armhf], linux-image-5.10.0-35-parisc [hppa], linux-image-5.10.0-35-parisc64 [hppa], linux-image-5.10.0-35-686-unsigned [i386], linux-image-5.10.0-35-686-pae-unsigned [i386], linux-image-5.10.0-35-rt-686-pae-unsigned [i386], linux-image-5.10.0-35-itanium [ia64], linux-image-5.10.0-35-mckinley [ia64], linux-image-5.10.0-35-m68k [m68k], linux-image-5.10.0-35-4kc-malta [mips mipsel], linux-image-5.10.0-35-5kc-malta [mips mips64 mips64el mipsel], linux-image-5.10.0-35-octeon [mips mips64 mips64el mipsel], linux-image-5.10.0-35-loongson-3 [mips64el mipsel], linux-image-5.10.0-35-mips64r6 [mips64r6 mipsr6], linux-image-5.10.0-35-mips64r6el [mips64r6el mipsr6el], linux-image-5.10.0-35-mips32r6 [mipsr6], linux-image-5.10.0-35-mips32r6el [mipsr6el], linux-image-5.10.0-35-powerpc [powerpc], linux-image-5.10.0-35-powerpc-smp [powerpc], linux-image-5.10.0-35-powerpc64 [powerpc ppc64], linux-image-5.10.0-35-powerpc64le [ppc64el], linux-image-5.10.0-35-riscv64 [riscv64], linux-image-5.10.0-35-s390x [s390x], linux-image-5.10.0-35-sh7751r [sh4], linux-image-5.10.0-35-sh7785lcr [sh4], linux-image-5.10.0-35-sparc64 [sparc64], linux-image-5.10.0-35-sparc64-smp [sparc64]
Classes: smp

Tests: kbuild
Architecture: alpha amd64 arm64 armhf hppa i386 ia64 m68k mips64r6 mips64r6el mipsr6 mipsr6el ppc64 ppc64el riscv64 s390x sparc64
Restrictions: superficial
Depends: python3, linux-headers-5.10.0-35-alpha-smp [alpha], linux-headers-5.10.0-35-cloud-amd64 [amd64], linux-headers-5.10.0-35-cloud-arm64 [arm64], linux-headers-5.10.0-35-armmp [armhf], linux-headers-5.10.0-35-parisc [hppa], linux-headers-5.10.0-35-686-pae [i386], linux-headers-5.10.0-35-itanium [ia64], linux-headers-5.10.0-35-m68k [m68k], linux-headers-5.10.0-35-mips64r6 [mips64r6], linux-headers-5.10.0-35-mips64r6el [mips64r6el], linux-headers-5.10.0-35-mips32r6 [mipsr6], linux-headers-5.10.0-35-mips32r6el [mipsr6el], linux-headers-5.10.0-35-powerpc64 [ppc64], linux-headers-5.10.0-35-powerpc64le [ppc64el], linux-headers-5.10.0-35-riscv64 [riscv64], linux-headers-5.10.0-35-s390x [s390x], linux-headers-5.10.0-35-sparc64-smp [sparc64]
